%define name nedit
%define release 9mdk
%define version 5.1.1
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Editors
Source: http://www.Nedit.org/ftp/v5_1_1/%{name}-%{version}.tar.bz2
Source1: nedit_menuentry
Source2: icons-%{name}.tar.bz2
Patch0: nedit-cflags.patch.bz2
Requires : lesstif >= 0.89.4
BuildRequires: lesstif-devel XFree86-devel xpm-devel
Buildroot: %{_tmppath}/%{name}-root
Summary: A text editor for the X Window System

%description
NEdit is a multi-purpose text editor for the X Window System, which combines a
standard, easy to use, graphical user interface with the thorough functionality
and stability required by users who edit text eighthours a day. It provides 
intensive support for development in a wide variety of languages, text processors,
and other tools, but at the same time can be used productively by just about anyone 
who needs to edit text. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build

CFLAGS="$RPM_OPT_FLAGS" 
make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp nedit.man nedit.1
bzip2 -9 nedit.1
install -m644 nedit.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1
cd source 
install -m755 nedit $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/nedit
install -m755 nc $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/nc

# Mandrake menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/nedit

#mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/*
%{_menudir}
%{_iconsdir}
%{_mandir}/man1/*
%doc README ReleaseNotes nedit.doc

%changelog
* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-9mdk
- icons should be transparents
- provide large icon
- more macrozif..

* Mon Oct 02 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 5.1.1-8mdk
- Include docs.
- Install man page.
- Include RPM_OPT_FLAGS in CFLAGS.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.1.1-7mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.1.1-6mdk
- rebuild it with macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-5mdk
- BuildRequires: lesstif-devel
- Use tmppath macros.

* Tue May 09 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-4mdk
- 32x32 icon 
- menu entry was messed up in %files section 

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-3mdk
- add icon.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrasoft.com> 5.1.1-1mdk
- first release for Linux Mandrake
- located in Office group 

